/**
 * 
 */
package com.huatek.busi.service;

import java.util.List;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.BusiVideoDto;
import com.huatek.busi.entity.BusiVideo;
import com.huatek.busi.vo.BusiVideoVo;

/**
 * 视频流service
 * @author buck_guo
 * @date 2019/07/24
 */
public interface BusiVideoService {

	
	 /** 
	  * 
	  * @param busiVideoDto
	  * @return
	  */
    PageInfo<BusiVideoVo> page(BusiVideoDto busiVideoDto);
	
    /**
     * 根据逐渐ID查询
     * @param id
     * @return
     */
    BusiVideoVo queryBusiVideoById(String id);
	/** 
	 * 
	 * @param busiVideo
	 * @return
	 */
	int add(String token,BusiVideo busiVideo);
	
	/** 
	 * 
	 * @param busiVideo
	 * @return
	 */
	int update(BusiVideo busiVideo);
	
	/** 
	 * 
	 * @param ids
	 * @return
	 */
	int delete(List<String> idList);
}
